#
# spec file for package perl-Date-ICal
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Date-ICal
Version:        2.678
Release:        1.1
%define cpan_name Date-ICal
Summary:        Perl extension for ICalendar date objects
License:        CHECK(GPL-1.0+ or Artistic-1.0)
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Date-ICal/
Source0:        http://www.cpan.org/authors/id/R/RB/RBOW/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Date::Leapyear) >= 1.03
Requires:       perl(Date::Leapyear) >= 1.03
%{perl_requires}

%description
Date::ICal talks the ICal date format, and is intended to be a base class
for other date/calendar modules that know about ICal time format also.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes INTERNALS LICENSE README

%changelog
* Fri Apr 17 2015 coolo@suse.com
- updated to 2.678
  see /usr/share/doc/packages/perl-Date-ICal/Changes
  2011-05-10
  * Applies patch from Mark Alway for situation where min, hour, and
    sec are all '00'. However, a reminder that you should be using the
    DateTime modules instead.
  2009-08-19 09:23  rbowen
  * No functional changes in this revision, just a move to svn and a
    cleanup of the documentation, removing references to long-defunct
    URLs, and adding references to the datetime.perl.org project, where
    you really should be looking for all of your Perl datetime needs.
* Fri Apr 17 2015 coolo@suse.com
- updated to 2.678
  see /usr/share/doc/packages/perl-Date-ICal/Changes
  2011-05-10
  * Applies patch from Mark Alway for situation where min, hour, and
    sec are all '00'. However, a reminder that you should be using the
    DateTime modules instead.
  2009-08-19 09:23  rbowen
  * No functional changes in this revision, just a move to svn and a
    cleanup of the documentation, removing references to long-defunct
    URLs, and adding references to the datetime.perl.org project, where
    you really should be looking for all of your Perl datetime needs.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Nov 30 2008 lars@linux-schulserver.de
- adapt for devel:languages:perl
* Fri Apr  8 2005 Dries Verachtert <dries@ulyssis.org> - 1.72-1
- Initial package.
